<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.19) on Tue May 23 16:31:24 CEST 2023 -->
<title>BSTree</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-05-23">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BSTree";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">app.exercise.adt</a></div>
<h2 title="Class BSTree" class="title">Class BSTree&lt;E extends java.lang.Comparable&lt;E&gt;&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.AbstractCollection&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li>app.exercise.adt.BSTree&lt;E&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.lang.Iterable&lt;E&gt;</code>, <code>java.util.Collection&lt;E&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">BSTree&lt;E extends java.lang.Comparable&lt;E&gt;&gt;</span>
extends java.util.AbstractCollection&lt;E&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="BSTree.BSTreeIterator.html" title="class in app.exercise.adt">BSTree.BSTreeIterator</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.Node.html" title="type parameter in BSTree.Node">E</a>&gt;</span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#root">root</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#size">size</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">BSTree</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(app.exercise.adt.BSTree.Node,E)">add</a></span>&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;current,
   <a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(E)">add</a></span>&#8203;(<a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(app.exercise.adt.BSTree.Node,E)">contains</a></span>&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node,
        <a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(java.lang.Object)">contains</a></span>&#8203;(java.lang.Object&nbsp;o)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private <a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMin(app.exercise.adt.BSTree.Node)">getMin</a></span>&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRoot()">getRoot</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#inorderTraverse(app.exercise.adt.BSTree.Node,java.util.List)">inorderTraverse</a></span>&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node,
               java.util.List&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;list)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#iterator()">iterator</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private <a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#remove(app.exercise.adt.BSTree.Node,E)">remove</a></span>&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node,
      <a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#remove(java.lang.Object)">remove</a></span>&#8203;(java.lang.Object&nbsp;o)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#size()">size</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="BSTree.html" title="type parameter in BSTree">E</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toArray()">toArray</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.AbstractCollection">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.AbstractCollection</h3>
<code>addAll, clear, containsAll, isEmpty, removeAll, retainAll, toArray, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.Collection</h3>
<code>equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="root">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>root</h4>
<pre>private&nbsp;<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt; root</pre>
</li>
</ul>
<a id="size">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>size</h4>
<pre>private&nbsp;int size</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BSTree</h4>
<pre>public&nbsp;BSTree()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;size()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>size</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>size</code>&nbsp;in class&nbsp;<code>java.util.AbstractCollection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
<a id="getRoot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoot</h4>
<pre class="methodSignature">public&nbsp;<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;getRoot()</pre>
</li>
</ul>
<a id="contains(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>contains</code>&nbsp;in class&nbsp;<code>java.util.AbstractCollection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
<a id="contains(app.exercise.adt.BSTree.Node,java.lang.Comparable)">
<!--   -->
</a><a id="contains(app.exercise.adt.BSTree.Node,E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">private&nbsp;boolean&nbsp;contains&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node,
                         <a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;value)</pre>
</li>
</ul>
<a id="add(java.lang.Comparable)">
<!--   -->
</a><a id="add(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;add&#8203;(<a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>add</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>add</code>&nbsp;in class&nbsp;<code>java.util.AbstractCollection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
<a id="add(app.exercise.adt.BSTree.Node,java.lang.Comparable)">
<!--   -->
</a><a id="add(app.exercise.adt.BSTree.Node,E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">private&nbsp;boolean&nbsp;add&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;current,
                    <a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;e)</pre>
</li>
</ul>
<a id="toArray()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toArray</h4>
<pre class="methodSignature">public&nbsp;<a href="BSTree.html" title="type parameter in BSTree">E</a>[]&nbsp;toArray()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toArray</code>&nbsp;in class&nbsp;<code>java.util.AbstractCollection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
<a id="inorderTraverse(app.exercise.adt.BSTree.Node,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inorderTraverse</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;inorderTraverse&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node,
                             java.util.List&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;list)</pre>
</li>
</ul>
<a id="remove(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;remove&#8203;(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>remove</code>&nbsp;in class&nbsp;<code>java.util.AbstractCollection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
<a id="remove(app.exercise.adt.BSTree.Node,java.lang.Comparable)">
<!--   -->
</a><a id="remove(app.exercise.adt.BSTree.Node,E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre class="methodSignature">private&nbsp;<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;remove&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node,
                              <a href="BSTree.html" title="type parameter in BSTree">E</a>&nbsp;value)</pre>
</li>
</ul>
<a id="getMin(app.exercise.adt.BSTree.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMin</h4>
<pre class="methodSignature">private&nbsp;<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;getMin&#8203;(<a href="BSTree.Node.html" title="class in app.exercise.adt">BSTree.Node</a>&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;node)</pre>
</li>
</ul>
<a id="iterator()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>iterator</h4>
<pre class="methodSignature">public&nbsp;java.util.Iterator&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&nbsp;iterator()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in class&nbsp;<code>java.util.AbstractCollection&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a> extends java.lang.Comparable&lt;<a href="BSTree.html" title="type parameter in BSTree">E</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
